[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IVCLComObject.GetTypeInfo

The IDispatch:GetTypeInfo call for automation servers

## Declaration

Source position: classesh.inc line 1626

`function IVCLComObject.GetTypeInfo(`
`Index: Integer;`
`LocaleID: Integer;`
`out TypeInfo`
`):HRESULT;`

## Description

GetTypeInfo must return the Index-th entry in the type information of the component in TypeInfo. The LocaleID argument can be used to indicate the locale of the caller, as different type information can be returned depending on the locale.

## Errors

On error, a nonzero (different from S_OK) return value must be returned.

## See also

IVCLComObject.GetTypeInfoCount |  | The IDispatch:GetTypeInfoCount call for automation servers

Documentation generated on: Feb 26 2014